Network
All operations require authentication.
2 operationsv1/storage/nasha
List networksBeta
GET
/v1/ storage/ nasha/ {serviceName}/ network
Returns the networks of the service, with their status and the URN of the vRack Services they are attached to.
Path parameters
service Name
required
string
Service name
Response
200Network []successful operation
id
read-only
stringuuid
Network ID
status
read-only
Net App Network Status Enum
Network status
Values
associatedassociatingdissociatingto_configurev Rack Services URN
read-only
string
vRack Services URN the network is attached to
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ storage/ nasha/ {serviceName}/ network \
-H "authorization: Bearer $OVH_TOKEN"[ { "id": "00000000-0000-0000-0000-000000000000", "status": "associated", "vRackServicesURN": "string" }]
Get a networkBeta
GET
/v1/ storage/ nasha/ {serviceName}/ network/ {networkId}
Returns the network status and the URN of the vRack Services it is attached to. The status is to_configure until a vRack Services is associated with the network, then moves through associating to associated.
Path parameters
network Id
required
stringuuid
Network ID
service Name
required
string
Service name
Response
200Networksuccessful operation
id
read-only
stringuuid
Network ID
status
read-only
Net App Network Status Enum
Network status
Values
associatedassociatingdissociatingto_configurev Rack Services URN
read-only
string
vRack Services URN the network is attached to
Example uses networkId = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ storage/ nasha/ {serviceName}/ network/ {networkId} \
-H "authorization: Bearer $OVH_TOKEN"{ "id": "00000000-0000-0000-0000-000000000000", "status": "associated", "vRackServicesURN": "string"}